GNU bug report logs - #9923
24.0.91; `where-is' does not find recentf menu items (cmds, not files)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Drew Adams" <drew.adams@HIDDEN>; Keywords: confirmed; dated Mon, 31 Oct 2011 20:30:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 9923 <at> debbugs.gnu.org:


Received: (at 9923) by debbugs.gnu.org; 30 Sep 2021 07:01:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 03:01:57 2021
Received: from localhost ([127.0.0.1]:51258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVq4r-0001r6-CD
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 03:01:57 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:34055)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mVq4o-0001qn-Gt
 for 9923 <at> debbugs.gnu.org; Thu, 30 Sep 2021 03:01:55 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 157A5C0003;
 Thu, 30 Sep 2021 07:01:45 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#9923: 24.0.91; `where-is' does not find recentf menu items
 (cmds, not files)
Organization: LINKOV.NET
References: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN>
 <jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN> <871r6hk99k.fsf@HIDDEN>
 <jwvk0k98txx.fsf-monnier+emacs@HIDDEN> <87bl5k2ug1.fsf@HIDDEN>
 <87czpwb4gw.fsf@HIDDEN> <87y28kf5sn.fsf@HIDDEN>
 <87r1ebz98c.fsf@HIDDEN> <875yvm8oqk.fsf@HIDDEN>
 <87v93mazvm.fsf@HIDDEN> <875yvmj9ir.fsf@HIDDEN>
 <jwv1r69jvzk.fsf-monnier+emacs@HIDDEN>
Date: Thu, 30 Sep 2021 09:55:21 +0300
In-Reply-To: <jwv1r69jvzk.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Tue, 31 Aug 2021 14:44:02 -0400")
Message-ID: <87pmsqeena.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 9923
Cc: 9923 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>> @@ -1898,6 +1898,8 @@ help-fns--list-local-commands
>>>      (mapatoms
>>>       (lambda (sym)
>>>         (when (and (commandp sym)
>>> +                  ;; Ignore errors in context-menu.
>>> +                  (not (eq sym 'ignore))
>>>                    ;; Ignore aliases.
>>>                    (not (symbolp (symbol-function sym)))
>>>                    ;; Ignore everything bound.
>>>
>>> does it make sense to ignore 'ignore' like in this patch?
>>
>> I think so.  Perhaps Stefan has some comments here?
>
> Not comments here, no,

Recently clicking the context menu at the end of the buffer raises an error,
and during the short time period before the problem was noticed and fixed,
the error in one context menu item broke completion of M-x.
It might surprise the users why an error in context menus
affects such unrelated things.  So maybe such patch makes sense
to prevent M-x completion from breaking?

diff --git a/lisp/simple.el b/lisp/simple.el
index b0ff4236e1..5581d41356 100644
--- a/lisp/simple.el
+++ b/lisp/simple.el
@@ -2117,7 +2117,9 @@ read-extended-command--affixation
     (mapcar
      (lambda (command-name)
        (let* ((fun (and (stringp command-name) (intern-soft command-name)))
-              (binding (where-is-internal fun overriding-local-map t))
+              (binding (unless (eq fun 'ignore)
+                         ;; Ignore errors in context-menu.
+                         (where-is-internal fun overriding-local-map t)))
               (obsolete (get fun 'byte-obsolete-info))
               (alias (symbol-function fun))
               (suffix (cond ((symbolp alias)
-- 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9923; Package emacs. Full text available.

Message received at 9923 <at> debbugs.gnu.org:


Received: (at 9923) by debbugs.gnu.org; 31 Aug 2021 18:44:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 31 14:44:15 2021
Received: from localhost ([127.0.0.1]:35382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mL8k3-0002B5-8D
	for submit <at> debbugs.gnu.org; Tue, 31 Aug 2021 14:44:15 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:19991)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1mL8jz-0002Am-BI
 for 9923 <at> debbugs.gnu.org; Tue, 31 Aug 2021 14:44:13 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 07996809E7;
 Tue, 31 Aug 2021 14:44:05 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 9422E80564;
 Tue, 31 Aug 2021 14:44:03 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1630435443;
 bh=cJNsCNjPURIv/RoMvAPsLien6NfnwpjyJgelNtDJvmI=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=HjT+5a4L/zX0TZTHK+9jMAHFnxdbDrlUq718zVTCbNBD55j9VROdQC27lc2F2Dxcv
 +pmpZVfE4Mk3DC40d1RzKew1xSvIx0/mBBSZI/eSU0zqk+XjT/0mZj2MUZ7jfCRI1V
 uOZYr/lPRRQPq9BNCIsTudCMydSxBVuVuUkZWFqZT7HECFPGvvuyyaH2VyMrYo0UEi
 tHilq8Vb/fgU47SK/Efd33t9KdpSOAU2IaeafQDk7XMYKkVU/GBpPcfJR4mILKvfd9
 5aTZ8YbqxSHA/MEX3itGasPx8PeZGi5zemxMmFMJpirj48BIsCm7VCz12Cmuu2utZk
 8IgPmPjUh7YPQ==
Received: from lechazo (lechon.iro.umontreal.ca [132.204.27.242])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 4E4CC1203A6;
 Tue, 31 Aug 2021 14:44:03 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#9923: 24.0.91; `where-is' does not find recentf menu items
 (cmds, not files)
Message-ID: <jwv1r69jvzk.fsf-monnier+emacs@HIDDEN>
References: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN>
 <jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN> <871r6hk99k.fsf@HIDDEN>
 <jwvk0k98txx.fsf-monnier+emacs@HIDDEN> <87bl5k2ug1.fsf@HIDDEN>
 <87czpwb4gw.fsf@HIDDEN> <87y28kf5sn.fsf@HIDDEN>
 <87r1ebz98c.fsf@HIDDEN> <875yvm8oqk.fsf@HIDDEN>
 <87v93mazvm.fsf@HIDDEN> <875yvmj9ir.fsf@HIDDEN>
Date: Tue, 31 Aug 2021 14:44:02 -0400
In-Reply-To: <875yvmj9ir.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 31 Aug 2021 10:36:28 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.146 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 9923
Cc: 9923 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen [2021-08-31 10:36:28] wrote:
> Juri Linkov <juri@HIDDEN> writes:
>> does it make sense to ignore 'ignore' like in this patch?
> I think so.  Perhaps Stefan has some comments here?

Not comments here, no,


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9923; Package emacs. Full text available.

Message received at 9923 <at> debbugs.gnu.org:


Received: (at 9923) by debbugs.gnu.org; 31 Aug 2021 08:36:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 31 04:36:57 2021
Received: from localhost ([127.0.0.1]:32867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKzGC-0006uW-Qf
	for submit <at> debbugs.gnu.org; Tue, 31 Aug 2021 04:36:57 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45142)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mKzG7-0006uF-CW
 for 9923 <at> debbugs.gnu.org; Tue, 31 Aug 2021 04:36:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=os8HNXPd1G9EKkDFhmsqNAh3OjwhpcTMK2uAsXxTcUI=; b=oafugYGMBoNI+OS1IzxERhBbgH
 oso9SK3bhvhOb/imVTf2Q6fZEk75xfjHvItrXnxOH1r+JRUvNuWCgTJBY4m95JkDdDpB+HVqLUeik
 Nll3L5Dg5ITt6kYwBXt8l1oPgDnZmhEw4phNPlHJvICss8BZGOxYvBKMZzQD6IUqlCcQ=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mKzFv-0000bo-Dk; Tue, 31 Aug 2021 10:36:35 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#9923: 24.0.91; `where-is' does not find recentf menu items
 (cmds, not files)
References: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN>
 <jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN> <871r6hk99k.fsf@HIDDEN>
 <jwvk0k98txx.fsf-monnier+emacs@HIDDEN> <87bl5k2ug1.fsf@HIDDEN>
 <87czpwb4gw.fsf@HIDDEN> <87y28kf5sn.fsf@HIDDEN>
 <87r1ebz98c.fsf@HIDDEN> <875yvm8oqk.fsf@HIDDEN>
 <87v93mazvm.fsf@HIDDEN>
Date: Tue, 31 Aug 2021 10:36:28 +0200
In-Reply-To: <87v93mazvm.fsf@HIDDEN> (Juri Linkov's message of "Tue, 
 31 Aug 2021 09:41:57 +0300")
Message-ID: <875yvmj9ir.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > does it make sense
 to ignore 'ignore' like in this patch? I think so. Perhaps Stefan has some
 comments here? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 9923
Cc: 9923 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

> does it make sense to ignore 'ignore' like in this patch?

I think so.  Perhaps Stefan has some comments here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9923; Package emacs. Full text available.

Message received at 9923 <at> debbugs.gnu.org:


Received: (at 9923) by debbugs.gnu.org; 31 Aug 2021 07:11:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 31 03:11:02 2021
Received: from localhost ([127.0.0.1]:32780 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKxvC-0004oz-Od
	for submit <at> debbugs.gnu.org; Tue, 31 Aug 2021 03:11:02 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:39749)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mKxv8-0004oP-VR
 for 9923 <at> debbugs.gnu.org; Tue, 31 Aug 2021 03:11:01 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 95505240013;
 Tue, 31 Aug 2021 07:10:50 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#9923: 24.0.91; `where-is' does not find recentf menu items
 (cmds, not files)
Organization: LINKOV.NET
References: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN>
 <jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN> <871r6hk99k.fsf@HIDDEN>
 <jwvk0k98txx.fsf-monnier+emacs@HIDDEN> <87bl5k2ug1.fsf@HIDDEN>
 <87czpwb4gw.fsf@HIDDEN> <87y28kf5sn.fsf@HIDDEN>
 <87r1ebz98c.fsf@HIDDEN> <875yvm8oqk.fsf@HIDDEN>
Date: Tue, 31 Aug 2021 09:41:57 +0300
In-Reply-To: <875yvm8oqk.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 31 Aug 2021 02:03:15 +0200")
Message-ID: <87v93mazvm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 9923
Cc: 9923 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

>> This patch fixes the error, but still e.g. in Info buffer
>> typing 'C-h m q' moves point in the Info buffer to some fixed position
>> (maybe related to a position in *Help* buffer), i.e. still something is wrong.
>
> Hm...  it doesn't seem like anything in `context-menu-map' should be
> moving point (unless there's a bug in some of those functions it's
> calling, which is possible)...

Actually, this was caused by thing-at-mouse that uses mouse-set-point
in bug#50256 (a detailed description added in bug#50256).

But regarding this bug#9923, and the question about avoiding :filter
evaluation for context menus - since the context menu is bound to 'ignore':

  `(menu-item ,(purecopy "Context Menu") ignore
              :filter (lambda (_) (context-menu-map)))

does it make sense to ignore 'ignore' like in this patch?


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=help-fns--list-local-commands-ignore.patch

diff --git a/lisp/help-fns.el b/lisp/help-fns.el
index 2c7956d968..85f305617d 100644
--- a/lisp/help-fns.el
+++ b/lisp/help-fns.el
@@ -1898,6 +1898,8 @@ help-fns--list-local-commands
     (mapatoms
      (lambda (sym)
        (when (and (commandp sym)
+                  ;; Ignore 'ignore'.
+                  (not (eq sym 'ignore))
                   ;; Ignore aliases.
                   (not (symbolp (symbol-function sym)))
                   ;; Ignore everything bound.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9923; Package emacs. Full text available.

Message received at 9923 <at> debbugs.gnu.org:


Received: (at 9923) by debbugs.gnu.org; 31 Aug 2021 00:03:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 20:03:38 2021
Received: from localhost ([127.0.0.1]:60618 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKrFW-0006Iu-53
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 20:03:38 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40154)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mKrFQ-0006Id-Hv
 for 9923 <at> debbugs.gnu.org; Mon, 30 Aug 2021 20:03:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Ry9Cj1zryHKcJE3giNML6BC7oxQRCqYv9IeFuSo2HKg=; b=njJJjY5MMxwt19glxMBWqWwTft
 Yy13OHSvWSXIG3+wStvohRNYUUXULrk08U6RJP1rGLl20vkfGuysNXYiD4dYSK/8jroYXspQqJWMR
 JrqzYUTXUYn2IkxpW9S+C+XC9X4b1EPJL7xE7oAAuqzahean9X5uYbEhxruVzeVezGps=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mKrFE-0004Mc-A0; Tue, 31 Aug 2021 02:03:20 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#9923: 24.0.91; `where-is' does not find recentf menu items
 (cmds, not files)
References: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN>
 <jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN> <871r6hk99k.fsf@HIDDEN>
 <jwvk0k98txx.fsf-monnier+emacs@HIDDEN> <87bl5k2ug1.fsf@HIDDEN>
 <87czpwb4gw.fsf@HIDDEN> <87y28kf5sn.fsf@HIDDEN>
 <87r1ebz98c.fsf@HIDDEN>
Date: Tue, 31 Aug 2021 02:03:15 +0200
In-Reply-To: <87r1ebz98c.fsf@HIDDEN> (Juri Linkov's message of "Mon, 
 30 Aug 2021 10:33:47 +0300")
Message-ID: <875yvm8oqk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > This patch fixes the
 error, but still e.g. in Info buffer > typing 'C-h m q' moves point in the
 Info buffer to some fixed position > (maybe related to a position in *Help*
 buffer), i.e. still someth [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 9923
Cc: 9923 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> This patch fixes the error, but still e.g. in Info buffer
> typing 'C-h m q' moves point in the Info buffer to some fixed position
> (maybe related to a position in *Help* buffer), i.e. still something is wrong.

Hm...  it doesn't seem like anything in `context-menu-map' should be
moving point (unless there's a bug in some of those functions it's
calling, which is possible)...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9923; Package emacs. Full text available.

Message received at 9923 <at> debbugs.gnu.org:


Received: (at 9923) by debbugs.gnu.org; 30 Aug 2021 07:41:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 03:41:26 2021
Received: from localhost ([127.0.0.1]:58018 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKbv3-0000Ro-PV
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 03:41:25 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:49447)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mKbv2-0000RM-Hv
 for 9923 <at> debbugs.gnu.org; Mon, 30 Aug 2021 03:41:25 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 5F05320016;
 Mon, 30 Aug 2021 07:41:15 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#9923: 24.0.91; `where-is' does not find recentf menu items
 (cmds, not files)
Organization: LINKOV.NET
References: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN>
 <jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN> <871r6hk99k.fsf@HIDDEN>
 <jwvk0k98txx.fsf-monnier+emacs@HIDDEN> <87bl5k2ug1.fsf@HIDDEN>
 <87czpwb4gw.fsf@HIDDEN> <87y28kf5sn.fsf@HIDDEN>
Date: Mon, 30 Aug 2021 10:33:47 +0300
In-Reply-To: <87y28kf5sn.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 29 Aug 2021 20:46:00 +0200")
Message-ID: <87r1ebz98c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 9923
Cc: 9923 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> Another question: is it possible not to evaluate :filter in where-is as all?
>
> Then it'd find even less commands, I think?

I thought that maybe it's possible somehow to avoid :filter evaluation
for menus.

>> Yesterday I added to context-menu-map such lines:
>>
>>     (let ((fun (mouse-posn-property (event-start last-input-event)
>>                                     'context-menu-function)))
>>
>> but now noticed that after typing 'C-h m' it fails with:
>>
>> Debugger entered--Lisp error: (args-out-of-range 1786)
>>   mouse-posn-property((#<window 178 on *scratch*> 1786 (0 . 0) 0) context-menu-function)
>>   context-menu-map()
>
> Well, you could just check that last-input-event is a mouse event before
> calling that function?

This patch fixes the error, but still e.g. in Info buffer
typing 'C-h m q' moves point in the Info buffer to some fixed position
(maybe related to a position in *Help* buffer), i.e. still something is wrong.

diff --git a/lisp/mouse.el b/lisp/mouse.el
index 7d3ed9a0e4..f4d7d86c28 100644
--- a/lisp/mouse.el
+++ b/lisp/mouse.el
@@ -307,15 +307,19 @@ context-menu-filter-function
 (defun context-menu-map ()
   "Return composite menu map."
   (let ((menu (make-sparse-keymap (propertize "Context Menu" 'hide t))))
-    (let ((fun (mouse-posn-property (event-start last-input-event)
-                                    'context-menu-function)))
+    (let ((fun
+           ;; Check if `where-is-internal' calls this in wrong buffer.
+           (when (eq (window-buffer (posn-window (event-start last-input-event)))
+                     (current-buffer))
+             (mouse-posn-property (event-start last-input-event)
+                                  'context-menu-function))))
       (if (functionp fun)
           (setq menu (funcall fun menu))
         (run-hook-wrapped 'context-menu-functions




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9923; Package emacs. Full text available.

Message received at 9923 <at> debbugs.gnu.org:


Received: (at 9923) by debbugs.gnu.org; 29 Aug 2021 18:46:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 29 14:46:24 2021
Received: from localhost ([127.0.0.1]:57372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKPox-0006D9-K7
	for submit <at> debbugs.gnu.org; Sun, 29 Aug 2021 14:46:24 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55118)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mKPor-0006Cq-CI
 for 9923 <at> debbugs.gnu.org; Sun, 29 Aug 2021 14:46:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=WKJh60dKEk7m70nGtAyNB/3rSht6lJ2wNONPQsyw6iY=; b=fRd3asKGIZcj8CzmLLqMOjRoeB
 7IpDkfzo4cJpIdMYwtPeK+DsH/eJGL6wRTOr7VItpqE9DCtYL/o1IBcD4xCd0nD/TnlMPj3sAd8Rw
 rdTFYac07oms9chNtU8bMva8MlQmSYGkyrPl31u2pV9cjIMXecL0VOkdETxo9de7Tep4=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mKPof-0002YT-5x; Sun, 29 Aug 2021 20:46:05 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#9923: 24.0.91; `where-is' does not find recentf menu items
 (cmds, not files)
References: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN>
 <jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN> <871r6hk99k.fsf@HIDDEN>
 <jwvk0k98txx.fsf-monnier+emacs@HIDDEN> <87bl5k2ug1.fsf@HIDDEN>
 <87czpwb4gw.fsf@HIDDEN>
Date: Sun, 29 Aug 2021 20:46:00 +0200
In-Reply-To: <87czpwb4gw.fsf@HIDDEN> (Juri Linkov's message of "Sun, 
 29 Aug 2021 19:48:15 +0300")
Message-ID: <87y28kf5sn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > Another question:
 is it possible not to evaluate :filter in where-is as all? Then it'd find
 even less commands, I think? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 9923
Cc: 9923 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> Another question: is it possible not to evaluate :filter in where-is as all?

Then it'd find even less commands, I think?

> Yesterday I added to context-menu-map such lines:
>
>     (let ((fun (mouse-posn-property (event-start last-input-event)
>                                     'context-menu-function)))
>
> but now noticed that after typing 'C-h m' it fails with:
>
> Debugger entered--Lisp error: (args-out-of-range 1786)
>   mouse-posn-property((#<window 178 on *scratch*> 1786 (0 . 0) 0) context-menu-function)
>   context-menu-map()

Well, you could just check that last-input-event is a mouse event before
calling that function?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9923; Package emacs. Full text available.

Message received at 9923 <at> debbugs.gnu.org:


Received: (at 9923) by debbugs.gnu.org; 29 Aug 2021 16:55:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 29 12:55:18 2021
Received: from localhost ([127.0.0.1]:57275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKO5W-0003Po-58
	for submit <at> debbugs.gnu.org; Sun, 29 Aug 2021 12:55:18 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:57831)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mKO5R-0003PG-06
 for 9923 <at> debbugs.gnu.org; Sun, 29 Aug 2021 12:55:13 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 703E620005;
 Sun, 29 Aug 2021 16:55:04 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#9923: 24.0.91; `where-is' does not find recentf menu items
 (cmds, not files)
References: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN>
 <jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN> <871r6hk99k.fsf@HIDDEN>
 <jwvk0k98txx.fsf-monnier+emacs@HIDDEN> <87bl5k2ug1.fsf@HIDDEN>
Date: Sun, 29 Aug 2021 19:48:15 +0300
In-Reply-To: <87bl5k2ug1.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 26 Aug 2021 15:42:54 +0200")
Message-ID: <87czpwb4gw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 9923
Cc: 9923 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I'm wondering whether where-is could go at this the opposite direction.
> I mean, the menu system knows how to expand all this stuff...  so...
> could we ask it to do that, and then look at the results of that instead
> of parsing the keymap ourselves in where-is?

Another question: is it possible not to evaluate :filter in where-is as all?

Yesterday I added to context-menu-map such lines:

    (let ((fun (mouse-posn-property (event-start last-input-event)
                                    'context-menu-function)))

but now noticed that after typing 'C-h m' it fails with:

Debugger entered--Lisp error: (args-out-of-range 1786)
  mouse-posn-property((#<window 178 on *scratch*> 1786 (0 . 0) 0) context-menu-function)
  context-menu-map()
  (lambda (_) (context-menu-map))(ignore)
  where-is-internal(ignore nil t)
  #f(compiled-function (sym) #<bytecode -0x1145d1e4eb4c2a6>)(ignore)
  help-fns--list-local-commands()
  describe-mode()
  funcall-interactively(describe-mode)
  command-execute(describe-mode)

because context-menu functions are called from where-is-internal
without a mouse click.

Some time ago I already tried to workaround this problem
in help-mode-context-menu with:

  (when (and
         ;; First check if `help-fns--list-local-commands'
         ;; used `where-is-internal' to call this function
         ;; with wrong `last-input-event'.
         (eq (current-buffer) (window-buffer (posn-window (event-start last-input-event))))
         (mouse-posn-property (event-start last-input-event) 'mouse-face))

And now it reared its ugly head again.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9923; Package emacs. Full text available.

Message received at 9923 <at> debbugs.gnu.org:


Received: (at 9923) by debbugs.gnu.org; 26 Aug 2021 17:44:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 26 13:44:36 2021
Received: from localhost ([127.0.0.1]:50372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJJQa-0001WP-Bo
	for submit <at> debbugs.gnu.org; Thu, 26 Aug 2021 13:44:36 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:62757)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1mJJQX-0001W9-QA
 for 9923 <at> debbugs.gnu.org; Thu, 26 Aug 2021 13:44:34 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 55F9780855;
 Thu, 26 Aug 2021 13:44:27 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id C7BB980695;
 Thu, 26 Aug 2021 13:44:25 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1629999865;
 bh=vHmvO1ImeKl+Z7y66urCf/VnSMNek1y2oz/qWlrsCIQ=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=YwMgNb4C+wwam6y3UrYBWNKpFG+sHoLJFJp14TKr88PBYWY+3N/nqaBpRCfu/4TqI
 xESyFetY/JwhwZcNpBZoU6IYhhUXqBQACt6Fa/jLToKl0ekupqUe6nh9P5sddpYZlf
 Tv6AT4WRoyjVgrETUNnT4c+o+0jatLRKi1r5b3iwGXIxyLD9ycUW3BA7Qud8oLV74c
 G2H0onyg75ufPKePjVimDQzRjoeh4Iy701aiBE52/ESop5ybDsitXzHYk6vzry7Ys7
 EJWZVoKNiS1zYRO5TAkUS0w316u/DXujh1vh6j8ZhcPqFEPZwNr+avSCKeA2/fq7B4
 IAXV24XJ9geBQ==
Received: from alfajor (unknown [104.247.244.135])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 8B54012041E;
 Thu, 26 Aug 2021 13:44:25 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#9923: 24.0.91; `where-is' does not find recentf menu items
 (cmds, not files)
Message-ID: <jwveeagw265.fsf-monnier+emacs@HIDDEN>
References: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN>
 <jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN> <871r6hk99k.fsf@HIDDEN>
 <jwvk0k98txx.fsf-monnier+emacs@HIDDEN> <87bl5k2ug1.fsf@HIDDEN>
Date: Thu, 26 Aug 2021 13:44:24 -0400
In-Reply-To: <87bl5k2ug1.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 26 Aug 2021 15:42:54 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.066 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 9923
Cc: 9923 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen [2021-08-26 15:42:54] wrote:
> Stefan Monnier <monnier@HIDDEN> writes:
>> So IIRC `where-is` instead uses the "unfiltered" binding.  So you can
>> often get what you want by being careful about the BINDING you put into
>> `(menu-item "foo" BINDING :filter ...).
>
> Hm...  but in this case, the filter returns all the items:
>
>     (easy-menu-add-item
>      (recentf-menu-bar) recentf-menu-path
>      (list recentf-menu-title :filter 'recentf-make-menu-items)
>      recentf-menu-before)))

I think the problem is that it's not the same filter: there's the
`:filter` above which is part of the easymenu syntax and there the
`:filter` in the `menu-item` syntax.

Easymenu does indeed use the menu-item-:filter to implement the
easymenu-:filter but IIRC easymenu uses a menu item of the form

    (menu-item TITLE MENU :filter ...)

where MENU is the actual menu in its original easymenu-syntax form (aka
XEmacs syntax), and it's converted to the keymap-syntax by the :filter.

That would explain why `where-is` can't find any commands in MENU since
`where-is` expects it to use a keymap-syntax rather than an easymenu-syntax.

The relevant code is in `easy-menu-create-menu`:

        (pcase keyword
          (:filter
           (setq filter (lambda (menu)
                          (easy-menu-filter-return (funcall arg menu)
                                                   menu-name))))

as well as:

                     ;; The filter expects the menu in its XEmacs form and the
                     ;; pre-filter form will only be passed to the filter
                     ;; anyway, so we'd better not convert it at all (it will
                     ;; be converted on the fly by easy-menu-filter-return).
                     menu-items
                   (append menu (mapcar #'easy-menu-convert-item menu-items))))

So maybe the comment is wrong (I can't vouch for the guy who wrote it
anyway), and we should put the pre-converted menu in there, and then the
filter function should simply ignore its `menu` argument and use the
`menu-items` instead (or something like that).

Such a change could break something somewhere, tho: AFAICT currently,
just like the menu-item-:filter, the easymenu-:filter doesn't have to be
accompanied with a "menu" in proper syntax but it is required only to
return a menu in proper syntax, so the format of `menu-items` is
actually private to the :filter (tho in practice it's usually a valid
menu).


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9923; Package emacs. Full text available.

Message received at 9923 <at> debbugs.gnu.org:


Received: (at 9923) by debbugs.gnu.org; 26 Aug 2021 13:43:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 26 09:43:11 2021
Received: from localhost ([127.0.0.1]:48587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJFex-0000nM-CO
	for submit <at> debbugs.gnu.org; Thu, 26 Aug 2021 09:43:11 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mJFeu-0000n7-78
 for 9923 <at> debbugs.gnu.org; Thu, 26 Aug 2021 09:43:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=iO1+VGcq7We++32fgDQKe2BiDEq91AiWkB6n+Ei3lKY=; b=BU6S2IWpJ1K19EVIhTi25hO7YR
 t2VjqN/0qP3/S9cGcW+S0m9xFuTfliYLWtHDkQcqGZMzCcl1auSDrIJFk7g5CR/tL/A5wPgcjzaQp
 h4Y6xXoehCA8PxeJo0fpP0mrdCWiFOTvIYkiqeI+Kq5uRZVL5zJ16qESr6E+7E4dlUCU=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mJFei-0001JT-0y; Thu, 26 Aug 2021 15:43:00 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#9923: 24.0.91; `where-is' does not find recentf menu items
 (cmds, not files)
References: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN>
 <jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN> <871r6hk99k.fsf@HIDDEN>
 <jwvk0k98txx.fsf-monnier+emacs@HIDDEN>
Date: Thu, 26 Aug 2021 15:42:54 +0200
In-Reply-To: <jwvk0k98txx.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Wed, 25 Aug 2021 10:49:09 -0400")
Message-ID: <87bl5k2ug1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: > So IIRC
 `where-is` instead uses the "unfiltered" binding. So you can > often get
 what you want by being careful about the BINDING you put into > `(menu-item
 "foo" BINDING :filter ...). 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 9923
Cc: 9923 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

> So IIRC `where-is` instead uses the "unfiltered" binding.  So you can
> often get what you want by being careful about the BINDING you put into
> `(menu-item "foo" BINDING :filter ...).

Hm...  but in this case, the filter returns all the items:

    (easy-menu-add-item
     (recentf-menu-bar) recentf-menu-path
     (list recentf-menu-title :filter 'recentf-make-menu-items)
     recentf-menu-before)))

And the command we want to get at with

C-h w recentf-cleanup

is in `recentf-make-menu-items' somewhere.

I'm wondering whether where-is could go at this the opposite direction.
I mean, the menu system knows how to expand all this stuff...  so...
could we ask it to do that, and then look at the results of that instead
of parsing the keymap ourselves in where-is?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9923; Package emacs. Full text available.

Message received at 9923 <at> debbugs.gnu.org:


Received: (at 9923) by debbugs.gnu.org; 25 Aug 2021 14:49:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 10:49:19 2021
Received: from localhost ([127.0.0.1]:47302 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIuDP-00062u-CC
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 10:49:19 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:11276)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1mIuDN-00062h-Jb
 for 9923 <at> debbugs.gnu.org; Wed, 25 Aug 2021 10:49:18 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id C63C18078F;
 Wed, 25 Aug 2021 10:49:11 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 4A56B8065C;
 Wed, 25 Aug 2021 10:49:10 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1629902950;
 bh=A8ZcONJh7fpsIlOeQmYbrcziUU0gl96pAipU7QtRuOA=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=RzC0N1KeVavmdNQ+putlg1oWALNrAQ/03wglHSjPTz/N6vl9JFsjGGsw2x86NdLSb
 p1BCMBfLJm0bxVtsOu96m1knQX6RAZqY/Yww4yGXaP4eDx9vsvnW0QwDT5S1aBbWft
 gvn9oJDk7CqZi5hk0LfQ0c1BybYlji2EBwWz9NFuIdELTLUDqQKTyxhCYJzMFPOZxb
 QiWt6EON0bbcPgcuRkxPo+Au780pRivYjxFhYX1zhD1+XfKA8jbeD0hyY4PUkPGaeJ
 ccveskrQIgv/kBst1qMg3XC0jq7yd0ITEKGwztH0Uotc4QBDQTCQZrgdjTvKkEXztl
 QkutmL2SMgR9A==
Received: from alfajor (unknown [104.247.244.135])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 1D65D120223;
 Wed, 25 Aug 2021 10:49:10 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#9923: 24.0.91; `where-is' does not find recentf menu items
 (cmds, not files)
Message-ID: <jwvk0k98txx.fsf-monnier+emacs@HIDDEN>
References: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN>
 <jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN> <871r6hk99k.fsf@HIDDEN>
Date: Wed, 25 Aug 2021 10:49:09 -0400
In-Reply-To: <871r6hk99k.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 25 Aug 2021 14:18:31 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.068 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 9923
Cc: 9923 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen [2021-08-25 14:18:31] wrote:
> Stefan Monnier <monnier@HIDDEN> writes:
>>> The bug is not about the file-name entries in the `Open Recent' menu,
>>> but the menu items that represent commands should show up as bindings
>>> for `C-h w', no?  If not, why not?
>>
>> Indeed, where-is won't find bindings in menus defined with easy-menu and
>> using the :filter thingy.  Hmm...
>
> This problem is still present in Emacs 28.  I tried briefly following
> the logic in where_is_internal and friends, but...
>
> I guess we'd have to check for :filter here, evaluate the filter
> function, and then look up the command in the resulting ... menu
> entries?  Uhm.

Indeed, and evaluating the :filter may not necessarily return the
"right" result (when that result depends on specific conditions of the
time or context when it is run).

So IIRC `where-is` instead uses the "unfiltered" binding.  So you can
often get what you want by being careful about the BINDING you put into
`(menu-item "foo" BINDING :filter ...).


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9923; Package emacs. Full text available.

Message received at 9923 <at> debbugs.gnu.org:


Received: (at 9923) by debbugs.gnu.org; 25 Aug 2021 12:18:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 08:18:48 2021
Received: from localhost ([127.0.0.1]:46005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIrrj-000854-PY
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 08:18:47 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35892)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mIrrg-00084m-0n
 for 9923 <at> debbugs.gnu.org; Wed, 25 Aug 2021 08:18:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=dPqZ8WNTyKRk5GZ9IUWor1a9JqYc2joALaGoS9C59Lg=; b=UHgO+KaIDjbGTO19tPVHt1tlMb
 ovx0cHe/MPOnr7TQ8vhCGvONGZVZ4Lt2PiESHptSSsC1Dn6ZCU0qw+BrQBk2Fvxmd6jSeO8jCbtFG
 uPLPq67WKK+NFRp3qaDoK3FUE3w9LYN1g2JzS8CJ3qcSbSnx4E5fTsMps7KVVWYHYsak=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mIrrT-000402-Mn; Wed, 25 Aug 2021 14:18:35 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#9923: 24.0.91; `where-is' does not find recentf menu items
 (cmds, not files)
References: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN>
 <jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN>
Date: Wed, 25 Aug 2021 14:18:31 +0200
In-Reply-To: <jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Tue, 01 Nov 2011 12:05:46 -0400")
Message-ID: <871r6hk99k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: >> The bug
 is not about the file-name entries in the `Open Recent' menu, >> but the
 menu items that represent commands should show up as bindings >> for `C-h
 w', no? If not, why not? > > Indeed, where [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 9923
Cc: 9923 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

>> The bug is not about the file-name entries in the `Open Recent' menu,
>> but the menu items that represent commands should show up as bindings
>> for `C-h w', no?  If not, why not?
>
> Indeed, where-is won't find bindings in menus defined with easy-menu and
> using the :filter thingy.  Hmm...

This problem is still present in Emacs 28.  I tried briefly following
the logic in where_is_internal and friends, but...

I guess we'd have to check for :filter here, evaluate the filter
function, and then look up the command in the resulting ... menu
entries?  Uhm.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9923; Package emacs. Full text available.
bug Marked as found in versions 25.2. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 9923 <at> debbugs.gnu.org:


Received: (at 9923) by debbugs.gnu.org; 17 Sep 2012 00:26:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 16 20:26:32 2012
Received: from localhost ([127.0.0.1]:37967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TDPAV-0006rh-DB
	for submit <at> debbugs.gnu.org; Sun, 16 Sep 2012 20:26:31 -0400
Received: from acsinet15.oracle.com ([141.146.126.227]:20690)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TDPAP-0006rX-UI
	for 9923 <at> debbugs.gnu.org; Sun, 16 Sep 2012 20:26:29 -0400
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
	by acsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q8H0PCBp009630
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Mon, 17 Sep 2012 00:25:13 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by ucsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q8H0PBM6023253
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Mon, 17 Sep 2012 00:25:12 GMT
Received: from abhmt112.oracle.com (abhmt112.oracle.com [141.146.116.64])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q8H0PB91023110; Sun, 16 Sep 2012 19:25:11 -0500
Received: from dradamslap1 (/10.159.170.142)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sun, 16 Sep 2012 17:25:10 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Stefan Monnier'" <monnier@HIDDEN>
References: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN>
	<jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN>
Subject: RE: bug#9923: 24.0.91;
	`where-is' does not find recentf menu items (cmds, not files)
Date: Sun, 16 Sep 2012 17:25:00 -0700
Message-ID: <4BD02FE54AAA4F5883755FA4BE00FFA8@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN>
Thread-Index: AcyYsCPZhIok2CBqTlCVTOLvoZAX1T7uqnpw
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -7.4 (-------)
X-Debbugs-Envelope-To: 9923
Cc: 9923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.4 (-------)

> Indeed, where-is won't find bindings in menus defined with 
> easy-menu and using the :filter thingy.  Hmm...     Stefan

ping





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9923; Package emacs. Full text available.

Message received at 9923 <at> debbugs.gnu.org:


Received: (at 9923) by debbugs.gnu.org; 1 Nov 2011 16:08:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 12:08:07 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RLGsg-0002AP-Rl
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2011 12:08:07 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1RLGsf-0002AI-9H
	for 9923 <at> debbugs.gnu.org; Tue, 01 Nov 2011 12:08:06 -0400
Received: from faina.iro.umontreal.ca (lechon.iro.umontreal.ca
	[132.204.27.242])
	by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id pA1G5fEJ030280;
	Tue, 1 Nov 2011 12:05:41 -0400
Received: by faina.iro.umontreal.ca (Postfix, from userid 20848)
	id 62E30B465D; Tue,  1 Nov 2011 12:05:46 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#9923: 24.0.91;
	`where-is' does not find recentf menu items (cmds, not files)
Message-ID: <jwvhb2nhlt1.fsf-monnier+emacs@HIDDEN>
References: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN>
Date: Tue, 01 Nov 2011 12:05:46 -0400
In-Reply-To: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN> (Drew Adams's
	message of "Mon, 31 Oct 2011 13:26:36 -0700")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV4028=0
X-NAI-Spam-Version: 2.2.0.9286 : core <4028> : streams <697433> : uri <996949>
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 9923
Cc: 9923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

> M-x recentf-mode  ; turn it on
 
> C-h w recentf-cleanup
 
> Says that it is not bound to any keys.  And yet it is on menu `File',
> submenu `Open Recent' as item `Cleanup list'.
 
> This seems to be a general problem for the `Open Recent' menu, including
> for any submenus you might add to it.
 
> The bug is not about the file-name entries in the `Open Recent' menu,
> but the menu items that represent commands should show up as bindings
> for `C-h w', no?  If not, why not?

Indeed, where-is won't find bindings in menus defined with easy-menu and
using the :filter thingy.  Hmm...


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9923; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Oct 2011 20:29:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 31 16:29:02 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RKyTd-0007Pm-Ub
	for submit <at> debbugs.gnu.org; Mon, 31 Oct 2011 16:29:02 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1RKyTb-0007Pb-RV
	for submit <at> debbugs.gnu.org; Mon, 31 Oct 2011 16:29:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1RKyRR-0002FZ-Mh
	for submit <at> debbugs.gnu.org; Mon, 31 Oct 2011 16:26:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.4 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	RP_MATCHES_RCVD,UNPARSEABLE_RELAY autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:49464)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1RKyRR-0002FT-LC
	for submit <at> debbugs.gnu.org; Mon, 31 Oct 2011 16:26:45 -0400
Received: from eggs.gnu.org ([140.186.70.92]:47045)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1RKyRQ-0005A0-KB
	for bug-gnu-emacs@HIDDEN; Mon, 31 Oct 2011 16:26:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1RKyRP-0002Eq-88
	for bug-gnu-emacs@HIDDEN; Mon, 31 Oct 2011 16:26:44 -0400
Received: from rcsinet15.oracle.com ([148.87.113.117]:42751)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1RKyRP-0002EM-0d
	for bug-gnu-emacs@HIDDEN; Mon, 31 Oct 2011 16:26:43 -0400
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
	by rcsinet15.oracle.com (Switch-3.4.4/Switch-3.4.4) with ESMTP id
	p9VKQeXp025452
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <bug-gnu-emacs@HIDDEN>; Mon, 31 Oct 2011 20:26:41 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	p9VKQdTF001169
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
	for <bug-gnu-emacs@HIDDEN>; Mon, 31 Oct 2011 20:26:40 GMT
Received: from abhmt103.oracle.com (abhmt103.oracle.com [141.146.116.55])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	p9VKQY3a025803
	for <bug-gnu-emacs@HIDDEN>; Mon, 31 Oct 2011 15:26:34 -0500
Received: from dradamslap1 (/130.35.178.194)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Mon, 31 Oct 2011 13:26:34 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 24.0.91; `where-is' does not find recentf menu items (cmds, not files)
Date: Mon, 31 Oct 2011 13:26:36 -0700
Message-ID: <76FA3F83D086455EAA01FF0FB000FCDB@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
Thread-Index: AcyYC2MCA/Hj+7CLTAGD7c6Nij984g==
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6109
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-CT-RefId: str=0001.0A090208.4EAF0481.0116,ss=1,re=0.000,fgs=0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 1)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

emacs -Q
 
M-x recentf-mode  ; turn it on
 
C-h w recentf-cleanup
 
Says that it is not bound to any keys.  And yet it is on menu `File',
submenu `Open Recent' as item `Cleanup list'.
 
This seems to be a general problem for the `Open Recent' menu, including
for any submenus you might add to it.
 
The bug is not about the file-name entries in the `Open Recent' menu,
but the menu items that represent commands should show up as bindings
for `C-h w', no?  If not, why not?

In GNU Emacs 24.0.91.1 (i386-mingw-nt5.1.2600) of 2011-10-30 on MARVIN
 Windowing system distributor `Microsoft Corp.', version 5.1.2600
 configured using `configure --with-gcc (4.6) --no-opt --cflags
 -I"D:/devel/emacs/libs/libXpm-3.5.8/include"
 -I"D:/devel/emacs/libs/libXpm-3.5.8/src"
 -I"D:/devel/emacs/libs/libpng-dev_1.4.3-1/include"
 -I"D:/devel/emacs/libs/zlib-dev_1.2.5-2/include"
 -I"D:/devel/emacs/libs/giflib-4.1.4-1/include"
 -I"D:/devel/emacs/libs/jpeg-6b-4/include"
 -I"D:/devel/emacs/libs/tiff-3.8.2-1/include"
 -I"D:/devel/emacs/libs/gnutls-2.10.1/include" --ldflags
 -L"D:/devel/emacs/libs/gnutls-2.10.1/lib"'
 





Acknowledgement sent to "Drew Adams" <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#9923; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 30 Sep 2021 07:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.